import lodash from 'lodash';

export const getters = {
  getMenuActive(state) {
    return state.menuActive;
  },
  getAppLoading(state) {
    return state.loading;
  },
  getUrlCurrent(state) {
    return state.url;
  },
  getNotifyApp(state) {
    return state.extensionInfo.notify;
  },
  getNotifyBanner(state) {
    return lodash.get(state.extensionInfo.notify, 'json.banner-popup', null);
  },
  getAppInfo(state) {
    return state.extensionInfo;
  },
  getAppTitle(state) {
    return state.title;
  },
  getProfileId(state) {
    return state.indentify.profileId;
  },
  getBrowserIp(state) {
    return state.indentify.ip;
  },
  getPlatformShopeeConfig(state) {
    return state.platformShopConfig.shopee;
  },
  getPlatformTiktokConfig(state) {
    return state.platformShopConfig.tiktok;
  },
  getPlatformLazadaConfig(state) {
    return state.platformShopConfig.lazada;
  },
  getExtensionInfo(state) {
    return state.extensionInfo;
  },
};
